#
# spec file for package rubygem-minitest
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-minitest-5_3_3
Version:        5.3.5
Release:        1.1
%define mod_name minitest
%define mod_full_name %{mod_name}-%{version}
%define mod_version_suffix -5_3_3
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
Url:            https://github.com/seattlerb/minitest
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        minitest provides a complete suite of testing facilities supporting
License:        MIT
Group:          Development/Languages/Ruby

%description
minitest provides a complete suite of testing facilities supporting
TDD, BDD, mocking, and benchmarking.
"I had a class with Jim Weirich on testing last week and we were
allowed to choose our testing frameworks. Kirk Haines and I were
paired up and we cracked open the code for a few test
frameworks...
I MUST say that minitest is *very* readable / understandable
compared to the 'other two' options we looked at. Nicely done and
thank you for helping us keep our mental sanity."
-- Wayne E. Seguin
minitest/unit is a small and incredibly fast unit testing framework.
It provides a rich set of assertions to make your tests clean and
readable.
minitest/spec is a functionally complete spec engine. It hooks onto
minitest/unit and seamlessly bridges test assertions over to spec
expectations.
minitest/benchmark is an awesome way to assert the performance of your
algorithms in a repeatable manner. Now you can assert that your newb
co-worker doesn't replace your linear algorithm with an exponential
one!
minitest/mock by Steven Baker, is a beautifully tiny mock (and stub)
object framework.
minitest/pride shows pride in testing and adds coloring to your test
output. I guess it is an example of how to write IO pipes too. :P
minitest/unit is meant to have a clean implementation for language
implementors that need a minimal set of methods to bootstrap a working
test suite. For example, there is no magic involved for test-case
discovery.
"Again, I can't praise enough the idea of a testing/specing
framework that I can actually read in full in one sitting!"
-- Piotr Szotkowski
Comparing to rspec:
rspec is a testing DSL. minitest is ruby.
-- Adam Hawkins, "Bow Before MiniTest"
minitest doesn't reinvent anything that ruby already provides, like:
classes, modules, inheritance, methods. This means you only have to
learn ruby to use minitest and all of your regular OO practices like
extract-method refactorings still apply.

%prep

%build

%install
%gem_install \
  --doc-files="History.txt README.txt" \
  -f

%gem_packages

%changelog
* Tue Feb 10 2015 coolo@suse.com
- updated to version 5.3.5
* Tue Nov 25 2014 opensuse_buildservice@ojkastl.de
- renamed package and contents according to packaging guidelines
* Mon Apr 21 2014 coolo@suse.com
- updated to version 5.3.3
  * 1 bug fix:
  * Fixed using expectations w/ DSL in Test class w/o describe. (blowmage+others)
  * Fixed doco on Assertions.assertions. (xaviershay)
* Sat Mar 15 2014 coolo@suse.com
- updated to version 5.3.1
  * 1 minor enhancement:
  * Modified verbage on bad 'let' names to be more helpful. (Archytaus)
  * Mocked methods can take a block to verify state. Seattle.rb 12 bday present from ernie! Thanks!!
  * 1 bug fix:
  * Fixed 2 cases still using MiniTest. (mikesea)
* Sun Feb 23 2014 coolo@suse.com
- updated to version 5.2.3
  * 1 bug fix:
  * Fixed Spec#let check to allow overriding of other lets. (mvz)
  === 5.2.2 / 2014-01-22
  * 1 minor enhancement:
  * Spec#let raises ArgumentError if you override _any_ instance method (except subject). (rynr)
  * 1 bug fix:
  * Fixed up benchmark spec doco and added a test to demonstrate. (bhenderson)
* Mon Jan 20 2014 coolo@suse.com
- updated to version 5.2.1
  * 1 bug fix:
  * Properly deal with horrible mix of runtime load errors + other at_exit handlers. (dougo/chqr)
* Mon Dec 16 2013 coolo@suse.com
- updated to version 5.2.0
  * 1 minor enhancement:
  * Change expectations to allow calling most on procs (but not calling the proc). (bhenderson+others)
* Mon Dec  9 2013 coolo@suse.com
- updated to version 5.1.0
  * 1 minor enhancement:
  * Use a Queue for scheduling parallel tests. (tenderlove)
  * 1 bug fix:
  * Fixed misspelling in doco. (amatsuda)
* Mon Sep 23 2013 coolo@suse.com
- updated to version 5.0.8
  * 1 bug fix:
  * Fixed siginfo handler by rearranging reporters and fixing to_s. (tenderlove)
* Sat Sep  7 2013 coolo@suse.com
- updated to version 5.0.7
  * 2 minor enhancements:
  * Added clarification about the use of thread local variables in expectations. (jemc)
  * Added extra message about skipped tests, if any. Disable globally with $MT_NO_SKIP_MSG.
  * 2 bug fixes:
  * Only require minitest, not minitest/autorun in pride_plugin. (judofyr)
  * Require rubygems in load_plugins in case you're not using minitest/autorun.
* Fri Jul 12 2013 coolo@suse.com
- updated to version 5.0.6
  * 3 minor enhancements:
  * Allow stub to pass args to blocks. (swindsor)
  * Improved warning message about minitest/autorun to address 1.9's minitest/autorun.
  * Made minitest/test require minitest as needed. For lib writers. (erikh)
  * 1 bug fix:
  * Fixed missing require in minitest/test. (erikh)
  === 5.0.5 / 2013-06-20
  * 6 bug fixes:
  * DOH! Fixed the rest of the new casing on Minitest. (splattael)
  * Fixed typo on minitest/mock rdoc. (mrgilman/guiceolin)
  * Make Spec::DSL.describe_stack thread local to avoid failing on my own tests.
  * Make a fake Time.now local to the tests so they won't interfere with real reporter timings.
  * Make everything mockable by wrapping all 'special' methods in a smarter wrapper. (bestie)
  * Raise ArgumentError if let name starts with 'test'. (johnmaxwell)
* Sun Jun  9 2013 coolo@suse.com
- updated to version 5.0.4
  * 5 minor enhancements:
  * Added AbstractReporter, defining required Reporter API to quack properly.
  * Added doco for writing reporters.
  * Refactored Reporter into ProgressReporter and SummaryReporter. (idea: phiggins, code:me+scotch)
  * Refactored SummaryReporter pushing up to StatisticsReporter. (phiggins)
  * Removed Reporter#run_and_report... cleaner, but doesn't "fit" in the API.
* Tue Jun  4 2013 coolo@suse.com
- updated to version 5.0.3
  * 4 minor enhancements:
  * Added Runnable.with_info_handler and Runnable.on_signal.
  * Moved io.sync restore to Reporter#run_and_report.
  * Refactored inner loop of Reporter#report to #to_s. Callable for status updates.
  * Restored MT4's mid-run report (^t). (tenderlove).
* Fri May 24 2013 coolo@suse.com
- updated to version 5.0.2
  * 3 bug fixes:
  * Gem.find_files is smarter than I remember... cause I wrote it that way. *sigh* I'm getting old.
  * Pride wasn't doing puts through its #io. (tmiller/tenderlove)
  * Replaced Runnable#dup and Test#dup with marshal_dump/load. Too many problems cropping up on untested rails code. (tenderlove/rubys)
* Thu May 16 2013 coolo@suse.com
- updated to version 5.0.1
  * Documented Assertions' need for @assertions to be defined by the includer.
  * Only load one plugin version per name. Tries for latest.
* Mon May 13 2013 coolo@suse.com
- updated to version 5.0.0
  * MiniTest.runner is dead. No more manager objects.
  * MiniTest::Unit#record is dead. Use a Reporter instance instead.
  * MiniTest::Unit._run_* is dead. Runnable things are responsible for their own runs.
  * MiniTest::Unit.output is dead. No more centralized IO.
  Major (oft incompatible) changes:
  * Renamed MiniTest to Minitest. Your pinkies will thank me. (aliased to MiniTest)
  * Removed MiniTest::Unit entirely. No more manager objects.
  * Added Minitest::Runnable. Everything minitest can run subclasses this.
  * Renamed MiniTest::Unit::TestCase to Minitest::Test (subclassing Runnable).
  * Added Minitest::Benchmark.
  * Your benchmarks need to move to their own subclass.
  * Benchmarks using the spec DSL have to have "Bench" somewhere in their describe.
  * MiniTest::Unit.after_tests moved to Minitest.after_tests
  * MiniTest::Unit.autorun is now Minitest.autorun. Just require minitest/autorun pls.
  * Removed ParallelEach#grep since it isn't used anywhere.
  * Renamed Runnable#__name__ to Runnable#name (but uses @NAME internally).
  * Runnable#run needs to return self. Allows for swapping of results as needed.
  Minor moves:
  * Moved Assertions module to minitest/assertions.rb
  * Moved Expectations module to minitest/expectations.rb
  * Moved Test to minitest/test.rb
  * Moved everything else in minitest/unit.rb to minitest.rb
  * minitest/unit.rb is now just a small (user-test only) compatibility layer.
  * Moved most of minitest/pride into minitest/pride_plugin.
  * minitest/pride now just activates pride.
  * Moved ParallelEach under Minitest.
  Additions:
  * Added a plugin system that can extend command-line options.
  * Added Minitest.extensions.
  * Added Minitest.reporter (only available during startup).
  * Added Minitest.run(args). This is the very top of any Minitest run.
  * Added Minitest::Reporter. Everything minitest can report goes through here.
  * Minitest.reporter is a composite so you can add your own.
  * Added Minitest::CompositeReporter. Much easier to extend with your own reporters.
  * Added UnexpectedError, an Assertion subclass, to wrap up errors.
  * Minitest::Test#run is now freakin' beautiful. 47 -> 17 loc
  Other:
  * Removed Object.infect_with_assertions (it was already dead code).
  * Runnables are responsible for knowing their result_code (eg "." or "F").
  * Minitest.autorun now returns boolean, not exit code.
  * Added FAQ entry for extending via modules. (phiggins)
  * Implement Runnable#dup to cleanse state back to test results. Helps with serialization. pair:tenderlove
* Sun May  5 2013 coolo@suse.com
- updated to version 4.7.4
  This is probably the last release of the 4.x series. It will be merged
  to ruby and will be put into maintenance mode there.
  I'm not set in stone on this, but at this point further development of
  minitest (5+) will be gem-only. It is just too hard to work w/in
  ruby-core w/ test-unit compatibility holding minitest development
  back.
  * 2 minor enhancements:
  * Added count/size to ParallelEach to fix use w/in stdlib's test/unit. :( (btaitelb)
  * Allow disabling of info_signal handler in runner. (erikh)
* Sat Apr 27 2013 coolo@suse.com
- updated to version 4.7.3
  * 1 bug fix:
  * Reverted stubbing of module methods change. Stub the user, not the impl. (ab9/tyabe)
* Sat Apr 20 2013 coolo@suse.com
- updated to version 4.7.2
  * 2 bug fixes:
  * Fixed inconsistency in refute_in_delta/epsilon. I double negatived my logic. (nettsundere)
  * Fixed stubbing of module methods (eg Kernel#sleep). (steveklabnik)
* Fri Apr 12 2013 coolo@suse.com
- updated to version 4.7.1
  * 1 minor enhancement:
  * Added FAQ section to README
  * 1 bug fix:
  * Fixed bug where guard runs tests bypassing minitest/autorun and an ivar isn't set right. (darrencauthon)
* Tue Mar 19 2013 coolo@suse.com
- updated to version 4.7.0
  * 1 major enhancement:
  * Refactored MiniTest::Spec into MiniTest::Spec::DSL.
  * 1 bug fix:
  * Removed $DEBUG handler that detected when test/unit and minitest were both loaded. (tenderlove)
* Sun Mar  3 2013 coolo@suse.com
- updated to version 4.6.2
  * 1 minor enhancement:
  * Change error output to match Class#method, making it easier to use -n filter.
  * 1 bug fix:
  * Fixed an option processing bug caused by test/unit's irresponsibly convoluted code. (floehopper)
* Tue Feb 12 2013 coolo@suse.com
- updated to version 4.6.0
  * 3 major enhancements:
  * Removed ::reset_setup_teardown_hooks
  * Removed the long deprecated assert_block
  * Removed the long deprecated lifecycle hooks: add_(setup|teardown)_hook
  * 1 minor enhancement:
  * Allow filtering tests by suite name as well as test name. (lazyatom)
  * 2 bug fixes:
  * Made hex handling (eg object_ids) in mu_pp_for_diff more specific. (maxim)
  * nodoc top-level module. (zzak)
* Wed Jan 23 2013 coolo@suse.com
- updated to version 4.5.0
  * 1 major enhancement:
  * Rearranged minitest/unit.rb so NO parallelization code is loaded/used until you opt-in.
  * 4 minor enhancements:
  * Added TestCase#skipped? for teardown guards
  * Added maglev? guard
  * Document that record can be sent twice if teardown fails or errors (randycoulman)
  * Errors in teardown are now recorded. (randycoulman)
  * 3 bug fixes:
  * Added hacks and skips to get clean test runs on maglev
  * Modified float tests for maglev float output differences. Not sure this is right. Not sure I care.
  * Test for existance of diff.exe instead of assuming they have devkit. (blowmage/Cumbayah)
* Tue Jan  8 2013 coolo@suse.com
- updated to version 4.4.0
  * 3 minor enhancements:
  * Added fit_logarithic and assert_performance_logarithmic. (ktheory)
  * Merge processed options so others can mess with defaults. (tenderlove)
  * TestCase#message can now take another proc to defer custom message cost. (ordinaryzelig/bhenderson)
  * 1 bug fix:
  * TestCase#passed? now true if test is skipped. (qanhd)
* Fri Dec  7 2012 coolo@suse.com
- updated to version 4.3.3
  * Updated information about stubbing. (daviddavis)
* Wed Nov 28 2012 coolo@suse.com
- updated to version 4.3.2
  * Improved assert_equals error message to point you at #== of member objects. (kcurtin)
* Mon Nov 26 2012 coolo@suse.com
- updated to version 4.3.1
  * Moved test_children to serial testcase to prevent random failures.
  * 4 minor enhancements:
  * Allow #autorun to run even if loaded with other test libs that call exit. (sunaku)
  * Do not include Expectations in Object if $MT_NO_EXPECTATIONS is set (experimental?)
  * Gave some much needed love to assert_raises.
  * Mock#expect can take a block to custom-validate args. (gmoothart)
* Sat Nov  3 2012 coolo@suse.com
- updated to version 4.2.0
  * 4 major enhancements:
  * Added minitest/hell - run all your tests through the ringer!
  * Added support for :parallel test_order to run test cases in parallel.
  * Removed last_error and refactored runner code to be threadsafe.
  * _run_suites now runs suites in parallel if they opt-in.
  * 4 minor enhancements:
  * Added TestCase#synchronize
  * Added TestCase.make_my_diffs_pretty!
  * Added TestCase.parallelize_me!
  * Lock on capture_io for thread safety (tenderlove)
* Mon Oct  8 2012 coolo@suse.com
- updated to version 4.1.0
  * 2 minor enhancements:
  * Added skip example to readme. (dissolved)
  * Extracted backtrace filter to object. (tenderlove)
  * 1 bug fix:
  * OMG I'm so dumb. Fixed access to deprecated hook class methods. I hate ruby modules. (route)
* Mon Oct  1 2012 coolo@suse.com
- updated to version 4.0.0
  * 1 major enhancement:
  * The names of a privately-used undocumented constants are Super Important™.
  * 1 minor enhancement:
  * Support stubbing methods that would be handled via method_missing. (jhsu)
  * 3 bug fixes:
  * Add include_private param to MiniTest::Mock#respond_to? (rf-)
  * Fixed use of minitest/pride with --help. (zw963)
  * Made 'No visible difference.' message more clear. (ckrailo)
* Sun Sep 23 2012 coolo@suse.com
- updated to version 3.5.0
  * 1 minor enhancement:
  * Added #capture_subprocess_io. (route)
* Thu Sep  6 2012 coolo@suse.com
- updated to version 3.4.0
  * assert_output can now take regexps for expected values. (suggested by stomar)
  * Clarified that ruby 1.9/2.0's phony gems cause serious confusion for rubygems.
* Sat Jul 28 2012 coolo@suse.com
- update to 3.3.0
  * 1 major enhancement:
  * Deprecated add_(setup|teardown)_hook in favor of (before|after)_(setup|teardown) [2013-01-01]
  * 4 minor enhancements:
  * Refactored deprecated hook system into a module.
  * Refactored lifecycle hooks into a module.
  * Removed after_setup/before_teardown + run_X_hooks from Spec.
  * Spec#before/after now do a simple define_method and call super. DUR.
  * 2 bug fixes:
  * Fixed #passed? when used against a test that called flunk. (floehopper)
  * Fixed rdoc bug preventing doco for some expectations. (stomar).
* Sun Jul 15 2012 coolo@suse.com
- update to 3.2.0, quite some changes - see History.txt
* Wed Apr 11 2012 coolo@suse.com
- update to 2.12.1
  * Added ruby releases to History.txt to make it easier to see what you're missing
  * Rolled my own deprecate msg to allow MT to work with rubygems < 1.7
* Sat Apr  7 2012 coolo@suse.com
- update to 2.12 - TONS of changes
* Mon Jun 14 2010 mrueckert@suse.de
- update to version 1.6.0
  * Added --seed argument so you can reproduce a random order for
    debugging.
  * Added documentation for assertions
  * Added more rdoc and tons of :nodoc:
  * Added output to give you all the options you need to reproduce
    that run.
  * Added proper argument parsing to minitest.
  * Added unique serial # to spec names so order can be preserved
    (needs tests). (phrogz)
  * Empty 'it' fails with default msg. (phrogz)
  * Remove previous method on expect to remove 1.9 warnings
  * Spec#it is now order-proof wrt subclasses/nested describes.
  * assert_same error message now reports in decimal, eg: oid=123.
    (mattkent)
  * Fixed message on refute_same to be consistent with assert_same.
  * Fixed method randomization to be stable for testing.
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Wed Feb 24 2010 mrueckert@suse.de
- update to version 1.5.0
* Mon Nov 16 2009 dmacvicar@novell.com
- initial package for 1.4.2
